ZNOL(1)

NAME
znol - notify via Zephyr upon login or logout of interesting people

SYNOPSIS
znol [ on|off ] [ -f file ] [ -u username ] [ -l ] [ -q ]

DESCRIPTION
Znol provides a way for you to be notified when "interesting" people log in or out. It uses the Zephyr(1) Notification Service, which causes a message to appear on your screen for every person specified in a namelist (which defaults to $HOME/.anyone). The namelist should have one login name per line. Any line starting with `#' is considered a comment and ignored. Anyone in the namelist who is logged in when znol is executed is printed to stdout. The control arguments are as follows:

on|off
    Turns notification on or off.

-f  The namelist file is taken to be file. If file is "-", then the standard input is used instead of a file. If file does not exist, an error message is printed, and znol exits. This option may not be used in conjunction with the -u option.

-l  Causes znol to just list the people in the namelist who are currently logged in, without subscribing to the login messages. This option may not be used in conjunction with the -q option.

-q  Disables printing who is currently logged in when subscribing. This option may not be used in conjunction with the -l option.

-u  Instead of reading a file to specify the "interesting" users, the next argument is used as the only "interesting" user. This option may not be used in conjunction with the -f option.

EXAMPLES
znol
reads the standard namelist file, prints the locations of any users named therein which can be found on the system, and enters subscriptions for notices about those users.
znol -l -u foo
prints the location (if visible) of the user 'foo'.

FILES
$HOME/.anyone

SEE ALSO
anyone(SIPB), nol(SIPB), zctl(1), zephyr(1), zwgc(1), zhm(8), zephyrd(8)
Project Athena Technical Plan Section E.4.1, `Zephyr Notification Service'

AUTHOR

Robert S. French (MIT-Project Athena)

RESTRICTIONS
Copyright (c) 1987,1988 by the Massachusetts Institute of Technology. All Rights Reserved.
zephyr(1) specifies the terms and conditions for redistribution.